<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: func.php
| Version: 1.0, December 27th, 2011
| Author: Ionescu Vlad (Senzo)
| Co-author: Nicolae Crefelean (kneekoo)
| Co-Co-author: Philip Daly (HobbyMan)
| Website: http://www.phpfusion.ro/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { exit(); }
require_once INFUSIONS."fusion_voice_panel/includes/locale.php";
$voice_settings = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."voice_settings"));

function list_projects($project_status, $items_per_page = 5) {
	$items_per_page = preg_match("#[0-9]+#", $items_per_page) && $items_per_page > 0 ? $items_per_page : 5;
	global $userdata, $locale;
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$rows = dbcount("(project_id)", DB_PREFIX."voice_projects", "project_status = ".($project_status == 0 ? 1 : $project_status)."");
	if ($rows) {
		$query = dbquery("SELECT tvp.*, tu.user_name FROM ".DB_PREFIX."voice_projects tvp JOIN ".DB_PREFIX."users tu ON tvp.project_user = tu.user_id WHERE tvp.project_status = '".($project_status == 0 ? 1 : $project_status)."' ORDER BY ".($project_status == 0 || $project_status == 2 ? "tvp.project_votes" : "tvp.project_datestamp")." DESC LIMIT ".$_GET['rowstart'].",".$items_per_page);
		echo "<div style='padding: 10px 0 10px 0'>\n";
		while ($p = dbarray($query)) {
			$description = strlen($p['project_description']) >= 500 ? trimlink($p['project_description'], 500) : $p['project_description'];
			$nr_com = dbcount("(comment_id)", DB_COMMENTS, "comment_type='FV' AND comment_item_id='".$p['project_id']."' ");
			$show_vote = iMEMBER ? true : false;
			echo "<table cellpadding='5' cellspacing='3' width='100%' align='center'><tr>\n";
			if ($project_status >= "3") {
				$final_votes = dbquery("SELECT project_votes FROM ".DB_PREFIX."voice_projects WHERE project_id = '".$p['project_id']."'");
				$x = dbarray($final_votes);
				$votes = $x['project_votes'];
				$show_vote = false;
			} else {
				$votes = mysql_result(dbquery("SELECT SUM(voice_option) FROM ".DB_PREFIX."voice WHERE project_id = '".$p['project_id']."' "), 0);
				$votes = !empty($votes) ? $votes : 0;
			}
			echo "<td class='tbl2' width='120' align='center' valign='top'>\n";
			echo "<table cellpadding='5' cellspacing='3' width='75' align='center' class='tbl-border'><tr>\n";
			echo "<td class='tbl1' align='center' style='font-size:14px;' id='votes".$p['project_id']."'><b>".$votes."</b><br />".($votes == 1 ? $locale['fuvo_002'] : $locale['fuvo_003'])."</td>\n";
			if ($show_vote) {
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl1' align='center'><a href='#' id='vote".$p['project_id']."'>".$locale['fuvo_001']."</a></td>\n";
			}
			echo "</tr>\n</table>\n";
			echo "</td>\n";
			echo "<td class='tbl2' width='120' align='center' valign='top' style='display:none; vertical-align: middle' id='vote-options".$p['project_id']."'>\n";
			$user_votes = dbquery("SELECT voice_option FROM ".DB_PREFIX."voice WHERE voice_user = '".$userdata['user_id']."' AND project_id = '".$p['project_id']."'");
			$data = dbarray($user_votes);
			echo "<div id='div".$p['project_id']."'>\n";
			echo "<table cellpadding='5' cellspacing='3' width='75' align='center' class='tbl-border'>\n";
			for ($i=0; $i<4; $i++) {
				echo "<tr><td class='".($data['voice_option'] == $i ? "tbl2" : "tbl1")."' align='center' style='font-size:14px; display: block'><a href='javascript:void(0);' onclick='ajaxCall(\"div".$p['project_id']."\", \"action=1&amp;project_id=".$p['project_id']."&amp;votes=".$i."&amp;project_status=".$p['project_status']."\", \"votes".$p['project_id']."\", \"action=3&amp;project_status=".$p['project_status']."&amp;project_id=".$p['project_id']."\", \"voted\", \"action=4&amp;project_id=1\");'><b>".$i."</b><br />".($i == 1 ? $locale['fuvo_002'] : $locale['fuvo_003'])."</a></td></tr>\n";
			}
			echo "</table>\n</div>\n</td>\n";
			echo "<td class='tbl1' align='center' valign='top'>
				<div style='font-size:18px; padding-bottom: 10px; text-align: left'>
					<a href='".FUSION_SELF."?project_id=".$p['project_id']."'>".$p['project_name']."</a>
				</div>
				<div style='text-align: left'>".nl2br(parseubb(parsesmileys($description)))."</div>
				<div style='text-align: left; padding-top: 10px;'>".$locale['fuvo_004']." <a href='".BASEDIR."profile.php?lookup=".$p['project_user']."'>".$p['user_name']."</a> - ". showdate("longdate", $p['project_datestamp']) ." -
					<a href='".FUSION_SELF."?project_id=".$p['project_id']."#comments'>".($nr_com == 1 ? $nr_com." ".$locale['fuvo_022']  : $nr_com." ".$locale['fuvo_023'])."</a>".
					(strlen($description) != strlen($p['project_description']) ? " - <a href='".FUSION_SELF."?project_id=".$p['project_id']."'>".$locale['fuvo_024']."</a>" : "")."
				</div>\n</td>\n";
			if (iADMIN) {
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' colspan='3' align='right'>
				<a href='".INFUSIONS."fusion_voice_panel/voice_admin.php?aid=".iAUTH."&amp;action=1&amp;project_id=".$p['project_id']."'>".$locale['fuvo_006']."</a> /
				<a href='".INFUSIONS."fusion_voice_panel/voice_admin.php?aid=".iAUTH."&amp;action=2&amp;project_id=".$p['project_id']."'>".$locale['fuvo_007']."</a> /
				<a href='#' id='status-button".$p['project_id']."'>".$locale['fuvo_025']."</a>
				</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' colspan='3' align='center' id='status".$p['project_id']."' style='display: none'>\n";
				echo "<table cellpadding='5' cellspacing='3' width='75' align='center'><tr>\n";
				for ($k=1; $k < 5; $k++) {
					echo "<td class='".($p['project_status'] == $k ? "tbl2" : "tbl1")."'><a href='javascript:void(0);' onclick='ajaxCall(\"status".$p['project_id']."\", \"aid=".iAUTH."&amp;action=2&amp;project_id=".$p['project_id']."&amp;status=".$k."\");'>".$locale['status'][$k]."</a></td>\n";
				}
				echo "</tr></table>\n";
				echo "</td>\n";
			}
			echo "</tr>\n</table>
				<script type='text/javascript'>
					$(function() {
						$('#vote".$p['project_id']."').click(function() {
							$('#vote-options".$p['project_id']."').toggle(300);
							return false;
						});

						$('#status-button".$p['project_id']."').click(function() {
							$('#status".$p['project_id']."').toggle(300);
							return false;
						});
					});

					function ajaxCall(div_votes, votes, div_total, total, div_voted, voted) {
						var url = 'do.php';
						$.ajax({
							async: false,
							type: 'GET',
							url: url,
							data: votes,
							success: function(result) {
								$('#' + div_votes).html(result);
							}
						});
						$.ajax({
							async: false,
							type: 'GET',
							url: url,
							data: total,
							success: function(result) {
								$('#' + div_total).html(result);
							}
						});
						$.ajax({
							async: false,
							type: 'GET',
							url: url,
							data: voted,
							success: function(result) {
								$('#' + div_voted).html(result);
							}
						});
					}
				</script>\n";
		}
		echo "</div>\n";
		if ($rows > $items_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3)."\n</div>\n";
	} else {
		echo "<div align='center' style='padding: 10px 0 10px 0'>".$locale['fuvo_026']."</div>\n";
	}
}

function remaining_votes($awarded) {
	global $voice_settings, $locale;
	return $voice_settings['votes_limit'] - $awarded;
}
?>
